import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const StageHead = /*@__PURE__*/ proxyCustomElement(class StageHead extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
    }
    render() {
        return (h(Host, { key: '19fdb481ea37cab182e426f7582270ecdce23147', class: "hero-head" }, h("slot", { key: '69273fb5da2cd217de773a37eb5000adda15bbbf' })));
    }
    get el() { return this; }
}, [260, "bal-stage-head"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bal-stage-head"];
    components.forEach(tagName => { switch (tagName) {
        case "bal-stage-head":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, StageHead);
            }
            break;
    } });
}

const BalStageHead = StageHead;
const defineCustomElement = defineCustomElement$1;

export { BalStageHead, defineCustomElement };
